summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoranton@openbsd.org <anton@openbsd.org>2023-10-25 08:01:59 +0000
committerDarren Tucker <dtucker@dtucker.net>2023-10-26 23:44:53 +1100
commita611e4db4009447a0151f31a44e235ca32ed4429 (patch)
treede00fddd0d00dec7ab14ca6cf15af41b24cecbca
parentda951b5e08c167acb5d6e2eec6f146502f5d6ed8 (diff)
upstream: ssh conch interop tests requires a controlling terminal;
ok dtucker@ OpenBSD-Regress-ID: cbf2701bc347c2f19d907f113779c666f1ecae4a
-rw-r--r--regress/conch-ciphers.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/regress/conch-ciphers.sh b/regress/conch-ciphers.sh
index 37b363e8..f4202584 100644
--- a/regress/conch-ciphers.sh
+++ b/regress/conch-ciphers.sh
@@ -1,11 +1,14 @@
-# $OpenBSD: conch-ciphers.sh,v 1.5 2023/10/23 11:30:49 anton Exp $
+# $OpenBSD: conch-ciphers.sh,v 1.6 2023/10/25 08:01:59 anton Exp $
# Placed in the Public Domain.
tid="conch ciphers"
if test "x$REGRESS_INTEROP_CONCH" != "xyes" ; then
- echo "conch interop tests not enabled"
- exit 0
+ fatal "conch interop tests not enabled"
+fi
+
+if ! [ -t 0 ]; then
+ skip "conch interop tests requires a controlling terminal"
fi
start_sshd